package cn.estsh.i3plus.core.api.iservice.busi;

import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;
import cn.estsh.i3plus.pojo.platform.bean.SysConfig;

import java.util.List;

/**
 * @Description : 系统参数服务接口
 * @Reference :
 * @Author : yunhao
 * @Date : 2018-10-25 9:21
 * @Modify :
 **/
public interface ISysConfigService {

    /**
     * 添加系统参数
     * @param sysConfig
     */
    void insertSysConfig(SysConfig sysConfig);

    /**
     * 删除系统参数
     * @param id
     */
    void deleteSysConfigById(String id);

    /**
     * 修改系统参数
     * @param sysConfig
     */
    void updateSysConfig(SysConfig sysConfig);

    /**
     * 查询全部系统参数
     */
    List<SysConfig> ListSysConfig();

    /**
     * 根据id查询系统参数
     * @param Id
     */
    SysConfig getSysConfigById(String Id);

    /**
     *  系统配置复杂查询分页排序
      * @param sysConfig
     * @param pager
     * @return
     */
    ListPager querySysConfigByPager(SysConfig sysConfig, Pager pager);
}
