package cn.estsh.i3plus.core.api.iservice.busi;

import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;
import cn.estsh.i3plus.pojo.platform.bean.Tool;
import cn.estsh.i3plus.pojo.platform.bean.ToolType;

import java.util.List;

/**
 * @Description : 硬件服务接口
 * @Reference :
 * @Author : yunhao
 * @Date : 2018-10-25 20:20
 * @Modify :
 **/
public interface IToolService {

    /**
     * 添加硬件
     * @param tool
     */
    Tool insertTool(Tool tool);

    /**
     * 删除硬件
     * @param id
     */
    void deleteToolById(String id);

    /**
     * 修改硬件
     * @param tool
     */
    void updateTool(Tool tool);

    /**
     * 查找全部硬件
     * @return
     */
    List<Tool> listTool();

    /**
     * 根据id查找硬件
     * @param id
     * @return
     */
    Tool getToolById(String id);

    /**
     * 硬件复杂查询，分页，排序
     * @param tool
     * @param pager
     * @return
     */
    ListPager queryToolByPager(Tool tool, Pager pager);

    /**
     * 根据id修改硬件状态
     * @param id
     * @param status
     */
    void updateToolStatusById(String id,Integer status);

    /**
     * 批量删除硬件
     * @param ids
     */
    void deleteToolByIds(String[] ids);


    /**
     * 批量修改硬件状态
     * @param ids
     * @param status
     */
    void updateToolStatusByIds(String[] ids,Integer status);
}
