package cn.estsh.i3plus.core.api.iservice.busi;

import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;
import cn.estsh.i3plus.pojo.platform.bean.SysDictionary;
import cn.estsh.i3plus.pojo.platform.bean.ToolType;

import java.util.List;

/**
 * @Description : 硬件类型服务接口
 * @Reference :
 * @Author : yunhao
 * @Date : 2018-10-28 12:32
 * @Modify :
 **/
public interface IToolTypeService {

    /**
     * 添加硬件类型
     * @param toolType
     */
    void insertToolType(ToolType toolType);

    /**
     * 删除硬件类型
     * @param id
     */
    void deleteToolTypeById(String id);

    /**
     * 修改硬件类型
     * @param toolType
     */
    void updateToolType(ToolType toolType);

    /**
     * 查找全部硬件类型
     * @return
     */
    List<ToolType> listToolType();

    /**
     * 根据id查找硬件类型
     * @param id
     * @return
     */
    ToolType getToolTypeById(String id);

    /**
     * 硬件类型复杂查询，分页，排序
     * @param toolType
     * @param pager
     * @return
     */
    ListPager queryToolTypeByPager(ToolType toolType, Pager pager);

    /**
     * 批量删除硬件类型
     * @param ids
     */
    void deleteToolTypeByIds(String[] ids);
}
