package cn.estsh.i3plus.core.apiservice.serviceimpl.busi;

import cn.estsh.i3plus.core.api.iservice.busi.ILogOperateService;
import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;
import cn.estsh.i3plus.pojo.base.common.PagerHelper;
import cn.estsh.i3plus.pojo.base.tool.BsonPackTool;
import cn.estsh.i3plus.pojo.platform.bean.LogOperate;
import cn.estsh.i3plus.pojo.platform.repositorymongo.LogOperateRepository;
import cn.estsh.i3plus.pojo.platform.sqlpack.CoreBsonPack;
import com.mongodb.client.model.Filters;
import org.bson.conversions.Bson;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Optional;

/**
 * @Description : 操作日志服务接口实现
 * @Reference :
 * @Author : yunhao
 * @Date : 2018-10-25 13:54
 * @Modify :
 **/
@Service
public class LogOperateService implements ILogOperateService {
    public static final Logger LOGGER = LoggerFactory.getLogger(LogOperateService.class);

    @Autowired
    public LogOperateRepository logOperateRDao;

    @Override
    public LogOperate insertLogOperate(LogOperate logOperate) {
        return logOperateRDao.insert(logOperate);
    }

    @Override
    public void deleteLogOperateById(long id) {
        logOperateRDao.deleteById(id);
    }

    @Override
    public List listLogOperate() {
        return logOperateRDao.listPager(null);
    }

    @Override
    public void deleteLogOperateByIds(String[] ids) {
        for(String idStr : ids){
            logOperateRDao.deleteById(Long.parseLong(idStr));
        }
    }

    @Override
    public LogOperate getLogOperateById(long id) {
        return logOperateRDao.getById(id);
    }

    @Override
    public List<LogOperate> listLogOperateByOperateUserName(String operateUserName) {
        return logOperateRDao.findByProperty("operateUserName",operateUserName);
    }

    @Override
    public long countAllLogOperate() {
        return logOperateRDao.listCount();
    }

    @Override
    public ListPager<LogOperate> queryLogOperateByPager(LogOperate logOperate, Pager pager) {
        if(logOperate == null) {
            pager = PagerHelper.getPager(pager, (int) logOperateRDao.count());
            return new ListPager(logOperateRDao.findAll(),pager);
        }else{
            Bson bson = CoreBsonPack.packBsonByLogOperate(logOperate);
            pager = PagerHelper.getPager(pager,(int)logOperateRDao.findByBsonCount(bson));
            //分页，排序
            return new ListPager(logOperateRDao.findByBsonPager(bson,pager,logOperate.getOrderByParam(),logOperate.getAscOrDesc()),pager);
        }
    }
}
